/*************************************************
* ADS Praktikum 1.1
* RingNode.cpp
* Erweiterung um Hilfsfunktionen gestattet.
*************************************************/
#include "RingNode.h"


RingNode::RingNode(){};

int RingNode::getOldAge() {
    return m_oldAge;
};

void RingNode::setOldAge(int value) {
    m_oldAge = value;
};

std::string RingNode::getDescription() {
    return m_description;
};

void RingNode::setDescription(std::string value) {
    m_description = value;
};

std::string RingNode::getSymbolicData() {
    return m_symbolicData;
};

void RingNode::setSymbolicData(std::string value) {
    m_symbolicData = value;
};

RingNode* RingNode::getNext() {
    return m_next;
};

void RingNode::setNext(RingNode* node) {
    m_next = node;
};
